# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

targetdir = makepath(programfiles32,'WinAuth')
targetexe = makepath(targetdir,'WinAuth.exe')

def install():

    if not isdir(targetdir):
        mkdirs(targetdir)

    filecopyto('WinAuth.exe',targetexe)
    create_programs_menu_shortcut('WinAuth',target=targetexe)

def uninstall():
    remove_programs_menu_shortcut('WinAuth')
    remove_tree(targetdir)


def update_package():

    proxies = {}
    if isfile(makepath(application_data(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}

    import json
    binaryfile,urlfile  = [(str(p['name']),str(p['browser_download_url'])) for p in json.loads(wgets('https://api.github.com/repos/winauth/winauth/releases/latest',proxies=proxies))['assets'] if not 'NET35' in p['name']][0]

    for exe in glob.glob('*.exe'):
        remove_file(exe)

    wget(urlfile,binaryfile,proxies=proxies)

    unzip(binaryfile)
    remove_file(binaryfile)
    filecopyto(r'%s\WinAuth.exe' % binaryfile.replace('.zip',''),'.')
    remove_tree(binaryfile.replace('.zip',''))


    lastversion = get_file_properties('WinAuth.exe')['FileVersion']

    os.chdir(os.path.dirname(__file__))
    from waptpackage import PackageEntry
    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    print('Last Version %s' % lastversion)
    pe.version = lastversion + '-0'
    pe.save_control_to_wapt(os.getcwd())

def audit():
    if isfile(targetexe):
        return "OK"
    else:
        return "ERROR"


if __name__ == '__main__':
    update_package()